Leatherman

Leatherman Surge Multitool with Pouch

The Leatherman Surge is one of our two largest multi-tools; a real powerhouse, built with our largest pliers, longest multi-tool blades and easy-to-use locks. A unique blade exchanger, replaceable 154CM wire cutters and four outside-opening blades give you quick access to the tools you use most. The Surge was built for tough jobs and the hands that do them.

SKU: LT850 Categories: , Brand:

157.00 inc.Vat

Out of stock

Want to be notified when this product is back in stock?

Reviews

There are no reviews yet.

Be the first to review “Leatherman Surge Multitool with Pouch”

Your email address will not be published.

Value
Features
Performance

Please login to post questions.

Leatherman Surge Tools

  1. Needle Nose Pliers
  2. Regular Pliers
  3. Premium Replaceable Wire Cutters
  4. Premium Replaceable Hard-wire Cutters
  5. Stranded-wire Cutters
  6. Electrical Crimper
  7. Wire Stripper
  8. 420HC Knife
  9. 420HC Serrated Knife
  10. Saw
  11. Spring-action Scissors
  12. Awl w/ Thread Loop
  13. Ruler (8 in | 19 cm)
  14. Can Opener
  15. Bottle Opener
  16. Wood/Metal File
  17. Diamond-coated File
  18. Blade Exchanger®
  19. Large Bit Driver
  20. Large Screwdriver
  21. Small Screwdriver

Materials Used: 420HC Stainless Steel

An improved, high-carbon (HC) form of 420 stainless steel that works well with high production tooling. 420HC’s strength is optimised in Leatherman multi-tools by heat treatment.

Warranty

We take extraordinary measures so your Leatherman product will give you many years of dependable service. If it doesn’t, we will gladly repair or replace it, at our discretion, with one of equal or greater value under our 25-year guarantee for tools and 10-year guarantee for lights. This warranty does not cover abuse, alteration, theft, loss, or unauthorised and/or unreasonable use of your Leatherman product. This warranty does not cover sheaths, accessories, imprinting, colour finishes, cleaning, or sharpening.

Weight 1 kg
product-type

You may require: